--
-- Create the table below in a database named "my-qof-db" 
-- The C source code is expecting the database to have this name.
--
-- For example, in postgres, one woulddo the following:
--   Install the 'postgresql-client' package
--   Then run 'createdb my-qof-db'  to create the database,
--   and then, 'psql my-qof-db < my-entity.sql'
--


CREATE TABLE MyEntity (
	myGuid    CHAR(32) PRIMARY KEY,
	a         INT,
	b         SERIAL,
	memo      TEXT
);

INSERT INTO MyEntity (myGuid,a,b,memo) VALUES 
                ('fedcba0123456789abcdef0123456789', '0', '1', 'splatergy');

INSERT INTO MyEntity (myGuid,a,b,memo) VALUES 
                ('0123456789abcdef0123456789abcdef', '1', '2', 'blortarriffic');

INSERT INTO MyEntity (myGuid,a,b,memo) VALUES 
                ('abcdef0987654321abcdef0987654321', '2', '3', 'plosive');


